# Function useMinilinksFilter

- useMinilinksFilter<L, R>(ml, filter, results, interval?): R

- #### Type Parameters

  - L extends Link<Id>
  - R = any

  #### Parameters

  - ml: any
  - filter: ((currentLink: L, oldLink: L, newLink: L) => boolean)
    - - (currentLink, oldLink, newLink): boolean

      - #### Parameters

        - currentLink: L
        - oldLink: L
        - newLink: L

        #### Returns boolean

  - results: ((l?: L, ml?: any, oldLink?: L, newLink?: L) => R)
    - - (l?, ml?, oldLink?, newLink?): R

      - #### Parameters

        - `Optional` l: L
        - `Optional` ml: any
        - `Optional` oldLink: L
        - `Optional` newLink: L

        #### Returns R

  - `Optional` interval: number

  #### Returns R

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:943